Public Member Functions | Public Attributes | List of all members
clan::Vec4hf Class Reference
clanCore Math

4D half-float vector More...

`#include <half_float_vector.h>`

## Public Member Functions
| Vec4hf ()
| Vec4hf (const Vec4f &copy)
| Vec4hf (const HalfFloat &scalar)
| Vec4hf (const Vec2hf &copy, const HalfFloat &p3, const HalfFloat &p4)
| Vec4hf (const Vec2hf &copy, const Vec2hf &copy34)
| Vec4hf (const Vec3hf &copy, const HalfFloat &p4)
| Vec4hf (const HalfFloat &p1, const HalfFloat &p2, const HalfFloat &p3, const HalfFloat &p4)
| Vec4hf (const HalfFloat &p1, const HalfFloat &p2, const Vec2hf &copy34)
| Vec4hf (const HalfFloat *array_xyzw)
| Vec4hf (float scalar)
| Vec4hf (const Vec2f &copy, float p3, float p4)
| Vec4hf (const Vec2f &copy, const Vec2f &copy34)
| Vec4hf (const Vec3f &copy, float p4)
| Vec4hf (float p1, float p2, float p3, float p4)
| Vec4hf (float p1, float p2, const Vec2f &copy34)
| Vec4hf (const float *array_xyzw)
| operator Vec4f () const
Vec4f | to_float () const

## Public Attributes
HalfFloat | w
HalfFloat | x
HalfFloat | y
HalfFloat | z

## Detailed Description

4D half-float vector

The documentation for this class was generated from the following file:

- half_float_vector.h